=== debian/changelog ===
pure-stldict (0.6-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:21:57 +0200

pure-stldict (0.5-3) natty; urgency=low

  * Update logs

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 03 Dec 2012 06:07:18 +0100

pure-stldict (0.5-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 27 May 2012 00:12:28 +0200

pure-stldict (0.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 20:32:08 +0200
