=== debian/control ===
Source: pure-stldict
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure, pure-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-stldict
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: STL interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a light-weight, no frills interface to the
 C++ dictionary containers map and unordered_map. The stldict module makes
 these data structures available in Pure land and equips them with a (more or
 less) idiomatic Pure container interface.
 .
 The C++ containers are part of the standard C++ library, see the C++ standard
 library documentation for details. They were originally based on the Standard
 Template Library, so they are also sometimes referred to as STL containers;
 hence the name of this package.
